summaryrefslogtreecommitdiffstats
path: root/db-extra
diff options
context:
space:
mode:
authorJudd Vinet <judd@archlinux.org>2005-06-21 05:44:57 +0200
committerJudd Vinet <judd@archlinux.org>2005-06-21 05:44:57 +0200
commitbdcdf586bdb095e833084c092d1cb79d3ed63523 (patch)
tree1815a860e1f8deb27db465c784c44ac5d5daad18 /db-extra
parentabccc814a02f7be0e97bade0892f80eb4c71f0de (diff)
downloaddbscripts-bdcdf586bdb095e833084c092d1cb79d3ed63523.tar.gz
dbscripts-bdcdf586bdb095e833084c092d1cb79d3ed63523.tar.xz
nixed all the redundant code in the db- scripts
Diffstat (limited to 'db-extra')
-rwxr-xr-xdb-extra65
1 files changed, 7 insertions, 58 deletions
diff --git a/db-extra b/db-extra
index c2f3574..be5fc3a 100755
--- a/db-extra
+++ b/db-extra
@@ -1,65 +1,14 @@
#!/bin/bash
-# $Id: db-extra,v 1.10 2005/02/25 21:27:44 judd Exp $
+# $Id: db-extra,v 1.11 2005/06/21 03:44:57 judd Exp $
-uid=`id -u`
repoid=2
-ftppath="/home/ftp/extra/os/i686"
-
-TMPDIR="/tmp/archpkg.$repoid.$uid"
-
-cleanup() {
- rm -rf $TMPDIR
- # unlock
- rm -f /tmp/.repolck.$repoid
- exit 0
-}
-
-# check for locks
-if [ -f /tmp/.repolck.$repoid ]; then
- owner=`/bin/ls -l /tmp/.repolck.$repoid | awk '{print $3}'`
- echo "error: db generation is already in progress (started by $owner)"
- exit 1
-fi
-if [ -d /tmp/.gensync ]; then
- echo "error: someone else is currently running gensync!"
- exit 1
-fi
+reponame="extra"
-# catch ^C breaks
-trap cleanup SIGINT
-# lock
-touch /tmp/.repolck.$repoid
-
-# RedHat's mktemp is broken...
-if [ -d $TMPDIR ]; then
- echo "==> Removing old temp dir..." >&2
- rm -rf $TMPDIR || exit 1
-fi
-mkdir $TMPDIR; [ $? -gt 0 ] && exit 1
-
-echo "==> Generating Pacman Database for EXTRA..." >&2
-cd $TMPDIR
-CVS_RSH=ssh CVSROOT=:ext:cvs.archlinux.org:/home/cvs-extra cvs -q export -r CURRENT extra
-if [ $? -gt 0 ]; then
- echo "==> CVS export failed!"
- cleanup
- exit 1
-fi
-# check again
-if [ -d /tmp/.gensync ]; then
- echo "error: someone else is currently running gensync!"
- cleanup
- exit 1
-fi
-/usr/bin/gensync $TMPDIR/extra $TMPDIR/extra.db.tar.gz $ftppath
-[ -f $TMPDIR/extra.db.tar.gz ] && mv -f $TMPDIR/extra.db.tar.gz $ftppath
+ftppath="/home/ftp/extra/os/i686"
-echo "==> Scanning for New/Updated/Deleted packages..." >&2
-cd $TMPDIR/extra
-/arch/pkgdb1 $repoid | /arch/pkgdb2 $repoid $ftppath
+cvspath="/home/cvs-extra"
+cvsmod="extra"
-echo "==> Scanning for missing packages..." >&2
-/arch/genpkglist extra
-mv packages.txt $ftppath/packages.txt
+# call the real script
+. `dirname $0`/db-inc
-cleanup